> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/issuing-card-api/business/webhook/manage-webhook-url/update-webhook-url.md).

# Update Webhook URL

### **Request** URI <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/webhook/update`

### **Request Body**

**Refer to :** [**common**](/reference/issuing-card-api/common.md)

**Biz\_data :**

<table><thead><tr><th width="212.359375">Name</th><th width="187.984375">Type</th><th>Description</th></tr></thead><tbody><tr><td>webhook_id<mark style="color:red;">*</mark></td><td>long</td><td>Webhook ID</td></tr><tr><td>webhook_type<mark style="color:red;">*</mark></td><td>integer</td><td>Webhook type.Refer to <a href="/pages/ystsrgyoK8oet6AAmFBV">webhookType</a></td></tr><tr><td>webhook_url<mark style="color:red;">*</mark></td><td>string(128)</td><td>Webhook URL</td></tr><tr><td>webhook_desc</td><td>string(128)</td><td>webhook description</td></tr></tbody></table>

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "7d69e7DB-025E-B43D-0e76-bBFfA3E1",
    "timestamp": "2025-04-07 13:57:07",
    "format": "JSON",
    "version": "2.0",
    "sign_type": "RSA",
    "biz_data": {
        "webhook_id": 3,
        "webhook_type": 2,
        "webhook_url": "https://random1744005427.com",
        "webhook_desc": "this is desc"
    },
    "random_key": "<generated_key>"
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:OK" %}

```
{
    "code": "10000",
    "msg": "Success"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}
